{
  "openapi": "3.1.0",
  "info": {
    "title": "stax-api",
    "version": "0.1"
  },
  "servers": [
    {
      "url": "https://apiprod.fattlabs.com/"
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "API key for merchant-level operations. Provides access to merchant-specific endpoints including transactions, payments, customer management, and merchant account settings. This key is scoped to a single merchant account and cannot access partner-level functionality."
      },
      "PartnerApiKey": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Partner-level API key with elevated privileges. Grants access to all partner operations including merchant management, portfolio oversight, reporting across multiple merchant accounts, and partner-specific administrative functions. Also provides access to all merchant-level operations for accounts under the partner's management."
      },
      "EphemeralAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Temporary authentication token with limited lifespan. Used for short-term access to specific operations, typically generated for secure one-time actions or time-bounded sessions. Automatically expires after a predefined period for enhanced security."
      }
    }
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "paths": {
    "/query/statement/v3/ach-rejects": {
      "get": {
        "summary": "ACH Rejections",
        "description": "",
        "operationId": "ach-rejections",
        "parameters": [
          {
            "name": "startDate",
            "in": "query",
            "required": true,
            "description": "YYYY-MM-DD",
            "schema": {
              "type": "string",
              "default": ""
            }
          },
          {
            "name": "endDate",
            "in": "query",
            "required": true,
            "description": "YYYY-MM-DD",
            "schema": {
              "type": "string",
              "default": ""
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"data\": [\n        {\n            \"ach_reject_transaction_id\": \"redacted-transaction-id\",\n            \"ach_reject_transaction_created_at\": \"2024-08-23T18:39:39.000Z\",\n            \"ach_reject_transaction_amount\": 861.8,\n            \"ach_reject_transaction_timing\": \"post_payout\",\n            \"original_transaction_id\": \"redacted-original-transaction-id\",\n            \"original_transaction_created_at\": \"2024-08-19T16:48:26.000Z\",\n            \"original_transaction_amount\": 861.8,\n            \"deposit_id\": null,\n            \"ach_reject_fee_id\": \"redacted-fee-id\",\n            \"ach_reject_fee_amount\": 15,\n            \"ach_reject_fee_deducted_at\": \"2024-08-23T11:00:58.000Z\"\n        }\n    ],\n    \"summary\": {\n        \"ach_reject_transaction_count\": 1,\n        \"ach_reject_transaction_amount\": 861.8,\n        \"original_transaction_amount\": 861.8,\n        \"ach_reject_fee_amount\": 15\n    },\n    \"total\": 1,\n    \"per_page\": 1000,\n    \"current_page\": 1,\n    \"last_page\": 1,\n    \"next_page_url\": null,\n    \"prev_page_url\": null,\n    \"from\": 1,\n    \"to\": 1\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "ach_reject_transaction_id": {
                            "type": "string",
                            "example": "redacted-transaction-id"
                          },
                          "ach_reject_transaction_created_at": {
                            "type": "string",
                            "example": "2024-08-23T18:39:39.000Z"
                          },
                          "ach_reject_transaction_amount": {
                            "type": "number",
                            "example": 861.8,
                            "default": 0
                          },
                          "ach_reject_transaction_timing": {
                            "type": "string",
                            "example": "post_payout"
                          },
                          "original_transaction_id": {
                            "type": "string",
                            "example": "redacted-original-transaction-id"
                          },
                          "original_transaction_created_at": {
                            "type": "string",
                            "example": "2024-08-19T16:48:26.000Z"
                          },
                          "original_transaction_amount": {
                            "type": "number",
                            "example": 861.8,
                            "default": 0
                          },
                          "deposit_id": {},
                          "ach_reject_fee_id": {
                            "type": "string",
                            "example": "redacted-fee-id"
                          },
                          "ach_reject_fee_amount": {
                            "type": "integer",
                            "example": 15,
                            "default": 0
                          },
                          "ach_reject_fee_deducted_at": {
                            "type": "string",
                            "example": "2024-08-23T11:00:58.000Z"
                          }
                        }
                      }
                    },
                    "summary": {
                      "type": "object",
                      "properties": {
                        "ach_reject_transaction_count": {
                          "type": "integer",
                          "example": 1,
                          "default": 0
                        },
                        "ach_reject_transaction_amount": {
                          "type": "number",
                          "example": 861.8,
                          "default": 0
                        },
                        "original_transaction_amount": {
                          "type": "number",
                          "example": 861.8,
                          "default": 0
                        },
                        "ach_reject_fee_amount": {
                          "type": "integer",
                          "example": 15,
                          "default": 0
                        }
                      }
                    },
                    "total": {
                      "type": "integer",
                      "example": 1,
                      "default": 0
                    },
                    "per_page": {
                      "type": "integer",
                      "example": 1000,
                      "default": 0
                    },
                    "current_page": {
                      "type": "integer",
                      "example": 1,
                      "default": 0
                    },
                    "last_page": {
                      "type": "integer",
                      "example": 1,
                      "default": 0
                    },
                    "next_page_url": {},
                    "prev_page_url": {},
                    "from": {
                      "type": "integer",
                      "example": 1,
                      "default": 0
                    },
                    "to": {
                      "type": "integer",
                      "example": 1,
                      "default": 0
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    },
    "/file": {
      "post": {
        "description": "",
        "operationId": "post_file",
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "examples": {
                  "OK": {
                    "summary": "OK",
                    "value": {
                      "merchant_id": "55394e80-826a-4e04-bafa-2e2d615209cf",
                      "user_id": "0dcb6380-962a-4b9d-b318-81e5625d0316",
                      "name": "Test Energy Drink Image",
                      "tag": "generic",
                      "id": "497da262-d9b3-4d24-920f-25c9c27522b4",
                      "updated_at": "2025-11-20 20:46:05",
                      "created_at": "2025-11-20 20:46:05",
                      "public_url": "https://fattpaydocuments.s3.us-west-2.amazonaws.com/generic/497da262-d9b3-4d24-920f-25c9c27522b4.jpg",
                      "meta": {
                        "filesize_bytes": 7384,
                        "filesize": "7.38 kB",
                        "extension": "jpg",
                        "size": {
                          "width": 225,
                          "height": 225
                        },
                        "mime": "image/jpeg"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "parameters": [],
        "requestBody": {
          "content": {
            "multipart/form-data": {
              "schema": {
                "type": "object",
                "properties": {
                  "name": {
                    "type": "string",
                    "description": "The name for the file."
                  },
                  "tag": {
                    "type": "string",
                    "description": "Description to classify the file type (e.g., generic, product-image)."
                  },
                  "file": {
                    "type": "string",
                    "format": "binary",
                    "description": "The pathway to the file being uploaded."
                  }
                },
                "required": [
                  "name",
                  "tag",
                  "file"
                ]
              },
              "examples": {
                "New Example": {
                  "summary": "New Example",
                  "value": "curl --location 'https://apiprod.fattlabs.com/file' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--header 'Authorization: Bearer \u2018ey\u2026\u2019 \\\n--form 'name=\"Test Energy Drink Image\"' \\\n--form 'tag=\"generic\"' \\\n--form 'file=@\"/Users/testuser/Downloads/energydrink.jpeg\"'}"
                }
              }
            }
          }
        }
      },
      "get": {
        "description": "",
        "operationId": "get_file",
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "examples": {
                  "OK": {
                    "summary": "OK",
                    "value": {
                      "current_page": 1,
                      "data": [
                        {
                          "id": "a66bcfb0-8a41-4ef9-99b3-15fe1846bd36",
                          "merchant_id": "55394e80-826a-4e04-bafa-2e2d615209cf",
                          "user_id": "5aec6f90-69be-48a5-a419-44ff016f364a",
                          "name": "Screenshot 2025-11-20 at 2.06.58\u202fPM.png",
                          "public_url": "https://fattpaydocuments.s3.us-west-2.amazonaws.com/a66bcfb0-8a41-4ef9-99b3-15fe1846bd36.png",
                          "tag": null,
                          "meta": {
                            "filesize_bytes": 139295,
                            "filesize": "139.3 kB",
                            "extension": "png",
                            "size": {
                              "width": 446,
                              "height": 496
                            },
                            "mime": "image/png"
                          },
                          "created_at": "2025-12-01 19:00:08",
                          "updated_at": "2025-12-01 19:00:08",
                          "deleted_at": null
                        },
                        {
                          "id": "864ab716-6277-40d8-aed5-271ff878296d",
                          "merchant_id": "55394e80-826a-4e04-bafa-2e2d615209cf",
                          "user_id": "5aec6f90-69be-48a5-a419-44ff016f364a",
                          "name": "",
                          "public_url": "https://fattpaydocuments.s3.us-west-2.amazonaws.com/itemThumbnail/864ab716-6277-40d8-aed5-271ff878296d.png",
                          "tag": "itemThumbnail",
                          "meta": {
                            "filesize_bytes": 45272,
                            "filesize": "45.27 kB",
                            "extension": "png",
                            "size": {
                              "width": 222,
                              "height": 223
                            },
                            "mime": "image/png"
                          },
                          "created_at": "2025-11-20 21:04:34",
                          "updated_at": "2025-11-20 21:04:34",
                          "deleted_at": null
                        },
                        {
                          "id": "497da262-d9b3-4d24-920f-25c9c27522b4",
                          "merchant_id": "55394e80-826a-4e04-bafa-2e2d615209cf",
                          "user_id": "0dcb6380-962a-4b9d-b318-81e5625d0316",
                          "name": "Test Energy Drink Image",
                          "public_url": "https://fattpaydocuments.s3.us-west-2.amazonaws.com/generic/497da262-d9b3-4d24-920f-25c9c27522b4.jpg",
                          "tag": "generic",
                          "meta": {
                            "filesize_bytes": 7384,
                            "filesize": "7.38 kB",
                            "extension": "jpg",
                            "size": {
                              "width": 225,
                              "height": 225
                            },
                            "mime": "image/jpeg"
                          },
                          "created_at": "2025-11-20 20:46:05",
                          "updated_at": "2025-11-20 20:46:05",
                          "deleted_at": null
                        }
                      ],
                      "first_page_url": "http://apiprod.fattlabs.com/file?page=1",
                      "from": 1,
                      "last_page": 1,
                      "last_page_url": "http://apiprod.fattlabs.com/file?page=1",
                      "links": [
                        {
                          "url": null,
                          "label": "&laquo; Previous",
                          "active": false
                        },
                        {
                          "url": "http://apiprod.fattlabs.com/file?page=1",
                          "label": "1",
                          "active": true
                        },
                        {
                          "url": null,
                          "label": "Next &raquo;",
                          "active": false
                        }
                      ],
                      "next_page_url": null,
                      "path": "http://apiprod.fattlabs.com/file",
                      "per_page": 20,
                      "prev_page_url": null,
                      "to": 3,
                      "total": 3
                    }
                  }
                }
              }
            }
          }
        },
        "parameters": []
      }
    },
    "/merchant/{id}/registration/file": {
      "post": {
        "summary": "Add File to Merchant Registration",
        "description": "Uploads a file to a merchant's registration.",
        "operationId": "add-file-to-merchant-registration",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "schema": {
              "type": "string"
            },
            "required": true,
            "description": "ID of the merchant."
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "name",
                  "file"
                ],
                "properties": {
                  "name": {
                    "type": "string",
                    "description": "The name of the file."
                  },
                  "file": {
                    "type": "string",
                    "description": "The file itself.",
                    "format": "binary"
                  },
                  "registration_document_id": {
                    "type": "string",
                    "description": "Associates the file with a specific registration document."
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"annual_volume\": \"\",\n  \"avg_trans_size\": \"\",\n  \"b2b_percent\": \"\",\n  \"bank_account_type\": \"\",\n  \"business_address_1\": \"\",\n  \"business_address_2\": \"\",\n  \"business_address_city\": \"\",\n  \"business_address_country\": \"\",\n  \"business_address_state\": \"\",\n  \"business_address_zip\": \"\",\n  \"business_dba\": \"\",\n  \"business_email\": \"\",\n  \"business_fax\": \"\",\n  \"business_legal_name\": \"\",\n  \"business_open_date\": \"\",\n  \"business_phone_number\": \"\",\n  \"business_tax_id\": \"\",\n  \"business_website\": \"\",\n  \"card_not_present_percent\": \"\",\n  \"card_present_percent\": \"\",\n  \"card_swiped_percent\": \"\",\n  \"chosen_plan\": \"\",\n  \"chosen_processing_method\": \"\",\n  \"company_type\": \"\",\n  \"email\": \"\",\n  \"first_name\": \"\",\n  \"highest_trans_amount\": \"\",\n  \"international\": \"\",\n  \"internet\": \"\",\n  \"job_title\": \"\",\n  \"last_name\": \"\",\n  \"location_type\": \"\",\n  \"meta\": {\n    \"ownership_percentage\": 60,\n    \"owner_citizenship\": \"ALA\",\n    \"representatives\": [\n      {\n        \"title\": \"\",\n        \"date_of_birth\": \"\",\n        \"ssn\": \"\",\n        \"first_name\": \"\",\n        \"last_name\": \"\",\n        \"type\": \"\",\n        \"ownership_percentage\": 40,\n        \"email\": \"\",\n        \"phone\": \"\",\n        \"address_1\": \"\",\n        \"address_2\": \"\",\n        \"address_city\": \"\",\n        \"address_state\": \"\",\n        \"address_zip\": \"\",\n        \"citizenship\": \"ALA\"\n      }\n    ]\n  },\n  \"moto_percent\": \"\",\n  \"network\": \"\",\n  \"owner_address_1\": \"\",\n  \"owner_address_2\": \"\",\n  \"owner_address_city\": \"\",\n  \"owner_address_country\": \"\",\n  \"owner_address_state\": \"\",\n  \"owner_address_zip\": \"\",\n  \"phone_number\": \"\",\n  \"plan\": \"\",\n  \"principal_owners_name\": \"\",\n  \"reason_for_applying\": \"\",\n  \"referred_by\": \"\",\n  \"refund_policy\": \"\",\n  \"seasonal_flag\": false,\n  \"seasonal_months\": \"\",\n  \"service_you_provide\": \"\",\n  \"title\": \"\",\n  \"user_dob\": \"\",\n  \"merchant_id\": \"791fc3fa-4534-4617-97b6-d41c9e1ce8da\",\n  \"user_id\": \"a01a5f74-cbdb-4704-9e9b-56fd5a8ee7b8\",\n  \"updated_at\": \"2019-06-19 21:22:03\",\n  \"created_at\": \"2019-06-19 21:22:03\",\n  \"files\": [\n    {\n      \"id\": \"69ad5457-c027-4057-ad52-05ef0e39ec39\",\n      \"merchant_id\": \"866ccc18-315e-496d-8a49-f16a5da79b75\",\n      \"user_id\": \"8f5f7d73-d53c-47c6-8880-6da0de8d9a10\",\n      \"name\": \"voidcheck\",\n      \"path\": \"onboarding/69ad5457-c027-4057-ad52-05ef0e39ec39.png\",\n      \"public_url\": \"https://fattonboardingfiles.s3.us-west-2.amazonaws.com/onboarding/69ad5457-c027-4057-ad52-05ef0e39ec39.png\",\n      \"tag\": \"onboarding\",\n      \"meta\": {\n        \"filesize_bytes\": 2631,\n        \"filesize\": \"0.03 kB\",\n        \"extension\": \"png\",\n        \"size\": {\n          \"width\": 225,\n          \"height\": 225\n        },\n        \"mime\": \"image/png\"\n      },\n      \"created_at\": \"2020-01-16 18:35:03\",\n      \"updated_at\": \"2020-01-16 18:35:04\",\n      \"deleted_at\": null,\n      \"registration_document_id\": \"RD11eb3bbd85936820828f2b181cd9c9d0\"\n    }\n  ],\n  \"electronic_signature\": {\n    \"html_content\": \"I agree to...\",\n    \"ip\": \"42.1.1.113\",\n    \"timestamp\": \"2019-06-19 21:22:03\",\n    \"user_id\": \"a01a5f74-cbdb-4704-9e9b-56fd5a8ee7b8\",\n    \"email\": \"john@doe.com\",\n    \"browser_agent\": \"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "annual_volume": {
                      "type": "string",
                      "example": ""
                    },
                    "avg_trans_size": {
                      "type": "string",
                      "example": ""
                    },
                    "b2b_percent": {
                      "type": "string",
                      "example": ""
                    },
                    "bank_account_type": {
                      "type": "string",
                      "example": ""
                    },
                    "business_address_1": {
                      "type": "string",
                      "example": ""
                    },
                    "business_address_2": {
                      "type": "string",
                      "example": ""
                    },
                    "business_address_city": {
                      "type": "string",
                      "example": ""
                    },
                    "business_address_country": {
                      "type": "string",
                      "example": ""
                    },
                    "business_address_state": {
                      "type": "string",
                      "example": ""
                    },
                    "business_address_zip": {
                      "type": "string",
                      "example": ""
                    },
                    "business_dba": {
                      "type": "string",
                      "example": ""
                    },
                    "business_email": {
                      "type": "string",
                      "example": ""
                    },
                    "business_fax": {
                      "type": "string",
                      "example": ""
                    },
                    "business_legal_name": {
                      "type": "string",
                      "example": ""
                    },
                    "business_open_date": {
                      "type": "string",
                      "example": ""
                    },
                    "business_phone_number": {
                      "type": "string",
                      "example": ""
                    },
                    "business_tax_id": {
                      "type": "string",
                      "example": ""
                    },
                    "business_website": {
                      "type": "string",
                      "example": ""
                    },
                    "card_not_present_percent": {
                      "type": "string",
                      "example": ""
                    },
                    "card_present_percent": {
                      "type": "string",
                      "example": ""
                    },
                    "card_swiped_percent": {
                      "type": "string",
                      "example": ""
                    },
                    "chosen_plan": {
                      "type": "string",
                      "example": ""
                    },
                    "chosen_processing_method": {
                      "type": "string",
                      "example": ""
                    },
                    "company_type": {
                      "type": "string",
                      "example": ""
                    },
                    "email": {
                      "type": "string",
                      "example": ""
                    },
                    "first_name": {
                      "type": "string",
                      "example": ""
                    },
                    "highest_trans_amount": {
                      "type": "string",
                      "example": ""
                    },
                    "international": {
                      "type": "string",
                      "example": ""
                    },
                    "internet": {
                      "type": "string",
                      "example": ""
                    },
                    "job_title": {
                      "type": "string",
                      "example": ""
                    },
                    "last_name": {
                      "type": "string",
                      "example": ""
                    },
                    "location_type": {
                      "type": "string",
                      "example": ""
                    },
                    "meta": {
                      "type": "object",
                      "properties": {
                        "ownership_percentage": {
                          "type": "integer",
                          "example": 60,
                          "default": 0
                        },
                        "owner_citizenship": {
                          "type": "string",
                          "example": "ALA"
                        },
                        "representatives": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "title": {
                                "type": "string",
                                "example": ""
                              },
                              "date_of_birth": {
                                "type": "string",
                                "example": ""
                              },
                              "ssn": {
                                "type": "string",
                                "example": ""
                              },
                              "first_name": {
                                "type": "string",
                                "example": ""
                              },
                              "last_name": {
                                "type": "string",
                                "example": ""
                              },
                              "type": {
                                "type": "string",
                                "example": ""
                              },
                              "ownership_percentage": {
                                "type": "integer",
                                "example": 40,
                                "default": 0
                              },
                              "email": {
                                "type": "string",
                                "example": ""
                              },
                              "phone": {
                                "type": "string",
                                "example": ""
                              },
                              "address_1": {
                                "type": "string",
                                "example": ""
                              },
                              "address_2": {
                                "type": "string",
                                "example": ""
                              },
                              "address_city": {
                                "type": "string",
                                "example": ""
                              },
                              "address_state": {
                                "type": "string",
                                "example": ""
                              },
                              "address_zip": {
                                "type": "string",
                                "example": ""
                              },
                              "citizenship": {
                                "type": "string",
                                "example": "ALA"
                              }
                            }
                          }
                        }
                      }
                    },
                    "moto_percent": {
                      "type": "string",
                      "example": ""
                    },
                    "network": {
                      "type": "string",
                      "example": ""
                    },
                    "owner_address_1": {
                      "type": "string",
                      "example": ""
                    },
                    "owner_address_2": {
                      "type": "string",
                      "example": ""
                    },
                    "owner_address_city": {
                      "type": "string",
                      "example": ""
                    },
                    "owner_address_country": {
                      "type": "string",
                      "example": ""
                    },
                    "owner_address_state": {
                      "type": "string",
                      "example": ""
                    },
                    "owner_address_zip": {
                      "type": "string",
                      "example": ""
                    },
                    "phone_number": {
                      "type": "string",
                      "example": ""
                    },
                    "plan": {
                      "type": "string",
                      "example": ""
                    },
                    "principal_owners_name": {
                      "type": "string",
                      "example": ""
                    },
                    "reason_for_applying": {
                      "type": "string",
                      "example": ""
                    },
                    "referred_by": {
                      "type": "string",
                      "example": ""
                    },
                    "refund_policy": {
                      "type": "string",
                      "example": ""
                    },
                    "seasonal_flag": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "seasonal_months": {
                      "type": "string",
                      "example": ""
                    },
                    "service_you_provide": {
                      "type": "string",
                      "example": ""
                    },
                    "title": {
                      "type": "string",
                      "example": ""
                    },
                    "user_dob": {
                      "type": "string",
                      "example": ""
                    },
                    "merchant_id": {
                      "type": "string",
                      "example": "791fc3fa-4534-4617-97b6-d41c9e1ce8da"
                    },
                    "user_id": {
                      "type": "string",
                      "example": "a01a5f74-cbdb-4704-9e9b-56fd5a8ee7b8"
                    },
                    "updated_at": {
                      "type": "string",
                      "example": "2019-06-19 21:22:03"
                    },
                    "created_at": {
                      "type": "string",
                      "example": "2019-06-19 21:22:03"
                    },
                    "files": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "example": "69ad5457-c027-4057-ad52-05ef0e39ec39"
                          },
                          "merchant_id": {
                            "type": "string",
                            "example": "866ccc18-315e-496d-8a49-f16a5da79b75"
                          },
                          "user_id": {
                            "type": "string",
                            "example": "8f5f7d73-d53c-47c6-8880-6da0de8d9a10"
                          },
                          "name": {
                            "type": "string",
                            "example": "voidcheck"
                          },
                          "path": {
                            "type": "string",
                            "example": "onboarding/69ad5457-c027-4057-ad52-05ef0e39ec39.png"
                          },
                          "public_url": {
                            "type": "string",
                            "example": "https://fattonboardingfiles.s3.us-west-2.amazonaws.com/onboarding/69ad5457-c027-4057-ad52-05ef0e39ec39.png"
                          },
                          "tag": {
                            "type": "string",
                            "example": "onboarding"
                          },
                          "meta": {
                            "type": "object",
                            "properties": {
                              "filesize_bytes": {
                                "type": "integer",
                                "example": 2631,
                                "default": 0
                              },
                              "filesize": {
                                "type": "string",
                                "example": "0.03 kB"
                              },
                              "extension": {
                                "type": "string",
                                "example": "png"
                              },
                              "size": {
                                "type": "object",
                                "properties": {
                                  "width": {
                                    "type": "integer",
                                    "example": 225,
                                    "default": 0
                                  },
                                  "height": {
                                    "type": "integer",
                                    "example": 225,
                                    "default": 0
                                  }
                                }
                              },
                              "mime": {
                                "type": "string",
                                "example": "image/png"
                              }
                            }
                          },
                          "created_at": {
                            "type": "string",
                            "example": "2020-01-16 18:35:03"
                          },
                          "updated_at": {
                            "type": "string",
                            "example": "2020-01-16 18:35:04"
                          },
                          "deleted_at": {},
                          "registration_document_id": {
                            "type": "string",
                            "example": "RD11eb3bbd85936820828f2b181cd9c9d0"
                          }
                        }
                      }
                    },
                    "electronic_signature": {
                      "type": "object",
                      "properties": {
                        "html_content": {
                          "type": "string",
                          "example": "I agree to..."
                        },
                        "ip": {
                          "type": "string",
                          "example": "42.1.1.113"
                        },
                        "timestamp": {
                          "type": "string",
                          "example": "2019-06-19 21:22:03"
                        },
                        "user_id": {
                          "type": "string",
                          "example": "a01a5f74-cbdb-4704-9e9b-56fd5a8ee7b8"
                        },
                        "email": {
                          "type": "string",
                          "example": "john@doe.com"
                        },
                        "browser_agent": {
                          "type": "string",
                          "example": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.88 Safari/537.36"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "422",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"file\": [\n    \"The file field is required.\"\n  ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "file": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "The file field is required."
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [
          {
            "PartnerApiKey": []
          }
        ]
      }
    },
    "/team/options": {
      "put": {
        "summary": "Add/Update Team Settings",
        "description": "Adds team/merchant options, also known as team settings, to a team",
        "operationId": "addupdate-team-settings",
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"id\": \"aa7766b2-242f-43b9-9476-3c9018f0ce52\",\n  \"mid\": \"\",\n  \"status\": \"PENDING\",\n  \"subdomain\": \"\",\n  \"company_name\": \"Stax\",\n  \"contact_name\": \"Stax\",\n  \"contact_email\": \"contact@example.com\",\n  \"contact_phone\": \"8555503288\",\n  \"address_1\": \"25 Wall Street\",\n  \"address_2\": \"Suite 1\",\n  \"address_city\": \"Orlando\",\n  \"address_state\": \"FL\",\n  \"address_zip\": \"32801\",\n  \"hosted_payments_token\": \"BARTLE-_\",\n  \"currency\": [\n    \"USD\"\n  ],\n  \"plan\": {\n    \"id\": \"f92fee2b-fdae-4474-988c-c8f2df92772a\",\n    \"merchant_id\": \"aa7766b2-242f-43b9-9476-3c9018f0ce52\",\n    \"user_id\": \"b58d7eee-e68d-4d12-a1f8-62f5e71382ae\",\n    \"name\": null,\n    \"created_at\": \"2017-05-15 18:41:25\",\n    \"updated_at\": \"2017-05-15 18:41:25\"\n  },\n  \"options\": {\n    \"hosted_payments_url_long\": \"http://localhost.app:5477/#/pay/BARTLE-_\",\n    \"hosted_payments_url_short\": \"http://bit.ly/1RofD0T\",\n    \"hosted_payments_success_note\": \"Success Note\",\n    \"hosted_payments_note\": \"Page Memo\",\n    \"webpayment_customer_matching_enabled\": false\n  },\n  \"gateway_type\": null,\n  \"processor\": \"\",\n  \"product_type\": \"\",\n  \"welcome_email_sent_at\": null,\n  \"created_at\": \"2017-05-15 17:02:37\",\n  \"updated_at\": \"2017-05-15 21:52:16\",\n  \"deleted_at\": null,\n  \"gateway_name\": null,\n  \"branding\": {\n    \"id\": \"81218dbb-74ad-480e-958e-839ced6e6962\",\n    \"merchant_id\": \"aa7766b2-242f-43b9-9476-3c9018f0ce52\",\n    \"user_id\": \"b58d7eee-e68d-4d12-a1f8-62f5e71382ae\",\n    \"name\": \"Bugu the Catu\",\n    \"public_url\": \"https://s3-us-west-2.amazonaws.com/fattpaydocuments/branding/81218dbb-74ad-480e-958e-839ced6e6962.png\",\n    \"tag\": \"branding\",\n    \"meta\": {\n      \"filesize_bytes\": 109524,\n      \"filesize\": \"1.1 kB\",\n      \"extension\": \"png\",\n      \"size\": {\n        \"width\": 537,\n        \"height\": 512\n      },\n      \"mime\": \"image/png\"\n    },\n    \"created_at\": \"2017-05-15 19:15:53\",\n    \"updated_at\": \"2017-05-15 19:15:56\",\n    \"deleted_at\": null\n  },\n  \"allow_ach\": false\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "aa7766b2-242f-43b9-9476-3c9018f0ce52"
                    },
                    "mid": {
                      "type": "string",
                      "example": ""
                    },
                    "status": {
                      "type": "string",
                      "example": "PENDING"
                    },
                    "subdomain": {
                      "type": "string",
                      "example": ""
                    },
                    "company_name": {
                      "type": "string",
                      "example": "Stax"
                    },
                    "contact_name": {
                      "type": "string",
                      "example": "Stax"
                    },
                    "contact_email": {
                      "type": "string",
                      "example": "contact@example.com"
                    },
                    "contact_phone": {
                      "type": "string",
                      "example": "8555503288"
                    },
                    "address_1": {
                      "type": "string",
                      "example": "25 Wall Street"
                    },
                    "address_2": {
                      "type": "string",
                      "example": "Suite 1"
                    },
                    "address_city": {
                      "type": "string",
                      "example": "Orlando"
                    },
                    "address_state": {
                      "type": "string",
                      "example": "FL"
                    },
                    "address_zip": {
                      "type": "string",
                      "example": "32801"
                    },
                    "hosted_payments_token": {
                      "type": "string",
                      "example": "BARTLE-_"
                    },
                    "currency": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "USD"
                      }
                    },
                    "plan": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string",
                          "example": "f92fee2b-fdae-4474-988c-c8f2df92772a"
                        },
                        "merchant_id": {
                          "type": "string",
                          "example": "aa7766b2-242f-43b9-9476-3c9018f0ce52"
                        },
                        "user_id": {
                          "type": "string",
                          "example": "b58d7eee-e68d-4d12-a1f8-62f5e71382ae"
                        },
                        "name": {},
                        "created_at": {
                          "type": "string",
                          "example": "2017-05-15 18:41:25"
                        },
                        "updated_at": {
                          "type": "string",
                          "example": "2017-05-15 18:41:25"
                        }
                      }
                    },
                    "options": {
                      "type": "object",
                      "properties": {
                        "hosted_payments_url_long": {
                          "type": "string",
                          "example": "http://localhost.app:5477/#/pay/BARTLE-_"
                        },
                        "hosted_payments_url_short": {
                          "type": "string",
                          "example": "http://bit.ly/1RofD0T"
                        },
                        "hosted_payments_success_note": {
                          "type": "string",
                          "example": "Success Note"
                        },
                        "hosted_payments_note": {
                          "type": "string",
                          "example": "Page Memo"
                        },
                        "webpayment_customer_matching_enabled": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        }
                      }
                    },
                    "gateway_type": {},
                    "processor": {
                      "type": "string",
                      "example": ""
                    },
                    "product_type": {
                      "type": "string",
                      "example": ""
                    },
                    "welcome_email_sent_at": {},
                    "created_at": {
                      "type": "string",
                      "example": "2017-05-15 17:02:37"
                    },
                    "updated_at": {
                      "type": "string",
                      "example": "2017-05-15 21:52:16"
                    },
                    "deleted_at": {},
                    "gateway_name": {},
                    "branding": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string",
                          "example": "81218dbb-74ad-480e-958e-839ced6e6962"
                        },
                        "merchant_id": {
                          "type": "string",
                          "example": "aa7766b2-242f-43b9-9476-3c9018f0ce52"
                        },
                        "user_id": {
                          "type": "string",
                          "example": "b58d7eee-e68d-4d12-a1f8-62f5e71382ae"
                        },
                        "name": {
                          "type": "string",
                          "example": "Bugu the Catu"
                        },
                        "public_url": {
                          "type": "string",
                          "example": "https://s3-us-west-2.amazonaws.com/fattpaydocuments/branding/81218dbb-74ad-480e-958e-839ced6e6962.png"
                        },
                        "tag": {
                          "type": "string",
                          "example": "branding"
                        },
                        "meta": {
                          "type": "object",
                          "properties": {
                            "filesize_bytes": {
                              "type": "integer",
                              "example": 109524,
                              "default": 0
                            },
                            "filesize": {
                              "type": "string",
                              "example": "1.1 kB"
                            },
                            "extension": {
                              "type": "string",
                              "example": "png"
                            },
                            "size": {
                              "type": "object",
                              "properties": {
                                "width": {
                                  "type": "integer",
                                  "example": 537,
                                  "default": 0
                                },
                                "height": {
                                  "type": "integer",
                                  "example": 512,
                                  "default": 0
                                }
                              }
                            },
                            "mime": {
                              "type": "string",
                              "example": "image/png"
                            }
                          }
                        },
                        "created_at": {
                          "type": "string",
                          "example": "2017-05-15 19:15:53"
                        },
                        "updated_at": {
                          "type": "string",
                          "example": "2017-05-15 19:15:56"
                        },
                        "deleted_at": {
                          "type": "string",
                          "format": "date-time"
                        }
                      }
                    },
                    "allow_ach": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    },
    "/team/option/advanced_customizations": {
      "put": {
        "description": "",
        "operationId": "post_teamoptionadvanced_customizations",
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "examples": {
                  "OK": {
                    "summary": "OK",
                    "value": {
                      "id": "{merchant_id}",
                      "mid": "{processor_merchant_id}",
                      "status": "ACTIVE",
                      "subdomain": "{merchant_subdomain}",
                      "company_name": "{company_name}",
                      "display_name": "{display_name}",
                      "contact_name": "{contact_name}",
                      "contact_email": "{contact_email}",
                      "contact_phone": "{contact_phone}",
                      "address_1": "{address_line_1}",
                      "address_2": "{address_line_2}",
                      "address_city": "{city}",
                      "address_state": "{state}",
                      "address_zip": "{zip_code}",
                      "hosted_payments_token": "{webpayments_token}",
                      "plan": {
                        "id": "{plan_id}",
                        "merchant_id": "{merchant_id}",
                        "user_id": "{user_id}",
                        "name": null,
                        "created_at": "{timestamp}",
                        "updated_at": "{timestamp}"
                      },
                      "options": {
                        "receipts_emails": [
                          "{receipt_email}"
                        ],
                        "merchant_copy_email_receipt_options": {
                          "notify_options_all": true
                        },
                        "webpayment_button_color": "{hex_color}",
                        "webpayment_redirect_link": "{redirect_url}",
                        "advanced_customization": {
                          "hosted_custom_fields": [
                            {
                              "placeholder": "{field_placeholder}",
                              "required": true,
                              "visible": true,
                              "id": "{field_id}",
                              "name": "{field_name}",
                              "type": "text"
                            }
                          ]
                        }
                      },
                      "currency": [
                        "USD"
                      ],
                      "gateway_type": "ACH",
                      "processor": "{processor_name}",
                      "partner": null,
                      "product_type": "{product_type}",
                      "is_enterprise": false,
                      "is_payfac": false,
                      "is_sandbox": false,
                      "is_test_mode": 0,
                      "fm_billing_schedule_id": null,
                      "fee_reconciliation_payment_method_id": null,
                      "welcome_email_sent_at": null,
                      "activated_at": null,
                      "created_at": "{timestamp}",
                      "updated_at": "{timestamp}",
                      "deleted_at": null,
                      "brand": "{brand_name}",
                      "risk_hold": false,
                      "merchant_processor_application": "iso",
                      "reference": null,
                      "branding": null,
                      "allow_ach": true,
                      "allow_paypal": true,
                      "require_address": false,
                      "is_portal": false,
                      "is_flat_rate": false,
                      "allow_credits": true,
                      "allow_terminal": false,
                      "gateways": [
                        {
                          "name": "{gateway_name}",
                          "type": "{gateway_type}",
                          "processor_mid": "{processor_mid}"
                        }
                      ],
                      "is_surcharge_enabled": false,
                      "cnp_credit_surcharge_rate": null,
                      "is_trust": false,
                      "underwriting_status": null,
                      "underwriting_substatuses": null,
                      "allow_cnp_digital_wallet": false,
                      "registration": {
                        "merchant_id": "{merchant_id}",
                        "user_id": "{user_id}",
                        "electronic_signature": {
                          "ip": "{ip_address}",
                          "email": "{signer_email}",
                          "user_id": "{user_id}",
                          "timestamp": "{timestamp}",
                          "browser_agent": "{user_agent}",
                          "signed_terms_and_conditions": "{terms_url}"
                        },
                        "credit_inquiry_electronic_signature": null,
                        "application_agreed_at": "{timestamp}",
                        "countersigned_at": "{timestamp}",
                        "signature_status": "SIGNED",
                        "application_status": null,
                        "underwriting_status": null,
                        "underwriting_substatuses": null,
                        "underwriting_note": null,
                        "meta": {
                          "ownership_percentage": "{percentage}",
                          "owner_citizenship": "{country}",
                          "representatives": []
                        },
                        "first_name": "{first_name}",
                        "last_name": "{last_name}",
                        "email": "{email}",
                        "title": "{job_title}",
                        "company_type": "{entity_type}",
                        "entity_ownership_type": "PRIVATE",
                        "phone_number": "{phone}",
                        "source": null,
                        "promo_code": null,
                        "ref_code": null,
                        "plan": "{plan_name}",
                        "fm_pc_name": null,
                        "business_legal_name": "{legal_name}",
                        "business_dba": "{dba_name}",
                        "business_website": "{website_url}",
                        "business_fax": null,
                        "business_email": null,
                        "business_address_1": "{business_address_line_1}",
                        "business_address_2": null,
                        "business_address_city": "{city}",
                        "business_address_state": "{state}",
                        "business_address_zip": "{zip}",
                        "business_address_country": "{country}",
                        "owner_address_1": "{owner_address_line_1}",
                        "owner_address_2": "{owner_address_line_2}",
                        "owner_address_city": "{city}",
                        "owner_address_state": "{state}",
                        "owner_address_zip": "{zip}",
                        "owner_address_country": "{country}",
                        "user_ip": "{ip_address}",
                        "user_ssn": "{ssn}",
                        "user_dob": "{date_of_birth}",
                        "business_phone_number": "{phone}",
                        "business_tax_id": "{ein}",
                        "business_open_date": "{date}",
                        "job_title": "{job_title}",
                        "refund_policy": "{refund_policy_code}",
                        "reason_for_applying": "{reason}",
                        "service_you_provide": "{mcc_description}",
                        "annual_volume": "{amount}",
                        "avg_trans_size": "{amount}",
                        "highest_trans_amount": "{amount}",
                        "card_present_percent": "{percentage}",
                        "card_not_present_percent": "{percentage}",
                        "card_swiped_percent": null,
                        "moto_percent": null,
                        "b2b_percent": "{percentage}",
                        "bank_routing_number": "{routing_number}",
                        "bank_account_number": "{account_number}",
                        "bank_account_owner_name": "{account_owner}",
                        "secondary_bank_routing_number": null,
                        "secondary_bank_account_number": null,
                        "secondary_bank_account_owner_name": null,
                        "secondary_bank_account_type": null,
                        "secondary_bank_account_purpose": null,
                        "principal_owners_name": "{owner_name}",
                        "chosen_plan": null,
                        "chosen_processing_method": "{processing_method}",
                        "plan_txamnt": "{transaction_fee}",
                        "plan_dcamnt": "{discount_rate}",
                        "plan_ach_cap": "{ach_cap}",
                        "plan_ach_txamnt": "{ach_transaction_fee}",
                        "plan_ach_dcamnt": "{ach_discount_rate}",
                        "plan_nabu": null,
                        "referred_by": null,
                        "created_at": "{timestamp}",
                        "updated_at": "{timestamp}",
                        "deleted_at": null,
                        "paper_statement": false,
                        "num_of_locs": "{number}",
                        "addl_loc": false,
                        "addl_loc_main_mid": "{mid}",
                        "internet": "{percentage}",
                        "international": "{percentage}",
                        "mcc": "{mcc_code}",
                        "proc_change": "{processor_change_reason}",
                        "seasonal_flag": false,
                        "seasonal_months": "{months}",
                        "bus_type": "{business_type_code}",
                        "sub_bus_type": "{sub_business_type}",
                        "special_proc": "{special_processing}",
                        "pos_software_publisher": "{publisher}",
                        "pos_software_name": "{software_name}",
                        "pos_software_version": "{version}",
                        "site_inspection": "{inspection_status}",
                        "location_type": "{location_type}",
                        "network": "{network}",
                        "bank_account_type": "{account_type}",
                        "mcc_addl_desc": "{description}",
                        "business_location_address_1": "{location_address_line_1}",
                        "business_location_address_2": null,
                        "business_location_address_city": "{city}",
                        "business_location_address_country": "{country}",
                        "business_location_address_state": "{state}",
                        "business_location_address_zip": "{zip}",
                        "business_location_email": null,
                        "business_location_fax": null,
                        "business_location_phone_number": "{phone}",
                        "note": null,
                        "credit_qual_disc_rate": "{rate}",
                        "credit_qual_trans_fee": "{fee}",
                        "credit_mid_disc_rate": "{rate}",
                        "credit_mid_trans_fee": "{fee}",
                        "credit_non_disc_rate": "{rate}",
                        "credit_non_trans_fee": "{fee}",
                        "amex_qual_disc_rate": "{rate}",
                        "amex_qual_trans_fee": "{fee}",
                        "amex_mid_disc_rate": "{rate}",
                        "amex_mid_trans_fee": "{fee}",
                        "amex_non_disc_rate": "{rate}",
                        "amex_non_trans_fee": "{fee}",
                        "is_flat_rate": false,
                        "pricing_plan": "{pricing_plan_name}",
                        "finix_merchant_id": null,
                        "finix_identity_id": null,
                        "annual_gross_ach_revenue": "{amount}",
                        "avg_ach_transaction": "{amount}",
                        "largest_ach_transaction": "{amount}",
                        "cp_transaction_rate": "{rate}",
                        "cp_per_item_rate": "{fee}",
                        "cp_amex_rate": "{rate}",
                        "cp_amex_per_item_rate": "{fee}",
                        "warnings": [],
                        "merchant_autoverification_authorization": {
                          "ip": "{ip_address}",
                          "email": "{email}",
                          "user_id": "{user_id}",
                          "timestamp": "{timestamp}",
                          "browser_agent": "{user_agent}"
                        },
                        "chargeback_percent": null,
                        "annual_gross_shopping_cart_revenue": "{amount}",
                        "avg_shopping_cart_transaction": "{amount}",
                        "largest_shopping_cart_transaction": "{amount}",
                        "shopping_cart_card_present_percent": "{percentage}",
                        "shopping_cart_b2b_percent": "{percentage}",
                        "shopping_cart_international": "{percentage}",
                        "cp_credit_surcharge_rate": null,
                        "cnp_credit_surcharge_rate": null,
                        "cp_debit_trans_fee": null,
                        "cnp_debit_trans_fee": null,
                        "cp_debit_discount_rate": null,
                        "cnp_debit_discount_rate": null,
                        "field_permissions": null,
                        "drivers_license_id": "{license_number}",
                        "drivers_license_state": "{state}",
                        "bank_institution_name": null,
                        "external_company_id": null,
                        "secondary_bank_institution_name": null,
                        "registration_source": "{source}",
                        "created_by": "{user_id}",
                        "meta_json": "{json_string}",
                        "signature_request_id": null,
                        "is_trust": null,
                        "monthly_minimum_fee": null,
                        "monthly_service_fee": null,
                        "fees": null,
                        "pci_compromise_type": null,
                        "paypal_transaction_fee": null,
                        "paypal_per_item_fee": null,
                        "amex_direct_number": null,
                        "amex_annual_volume": null,
                        "surcharge_merchant_fee": null,
                        "files": [],
                        "brand": "{brand_name}",
                        "underwriting_substatus": null,
                        "empty_required_fields": [],
                        "latest_file_uploaded_at": null,
                        "allow_conditional_approval": true,
                        "merchant": {
                          "id": "{merchant_id}",
                          "mid": "{processor_merchant_id}",
                          "status": "ACTIVE",
                          "subdomain": "{subdomain}",
                          "company_name": "{company_name}",
                          "display_name": "{display_name}",
                          "contact_name": "{contact_name}",
                          "contact_email": "{contact_email}",
                          "contact_phone": "{contact_phone}",
                          "address_1": "{address_line_1}",
                          "address_2": "{address_line_2}",
                          "address_city": "{city}",
                          "address_state": "{state}",
                          "address_zip": "{zip}",
                          "hosted_payments_token": "{webpayments_token}",
                          "plan": {
                            "id": "{plan_id}",
                            "merchant_id": "{merchant_id}",
                            "user_id": "{user_id}",
                            "name": null,
                            "created_at": "{timestamp}",
                            "updated_at": "{timestamp}"
                          },
                          "options": {
                            "receipts_emails": [
                              "{receipt_email}"
                            ],
                            "merchant_copy_email_receipt_options": {
                              "notify_options_all": true
                            },
                            "webpayment_button_color": "{hex_color}",
                            "webpayment_redirect_link": "{redirect_url}",
                            "advanced_customization": {
                              "hosted_custom_fields": [
                                {
                                  "placeholder": "{placeholder}",
                                  "required": true,
                                  "visible": true,
                                  "id": "{field_id}",
                                  "name": "{field_name}",
                                  "type": "text"
                                }
                              ]
                            }
                          },
                          "notes": "{notes}",
                          "currency": [
                            "USD"
                          ],
                          "gateway_type": "{gateway_type}",
                          "vendor_keys": null,
                          "processor": "{processor_name}",
                          "partner": null,
                          "product_type": "{product_type}",
                          "is_enterprise": false,
                          "is_payfac": false,
                          "is_sandbox": false,
                          "is_test_mode": 0,
                          "fm_billing_schedule_id": null,
                          "fee_reconciliation_payment_method_id": null,
                          "welcome_email_sent_at": null,
                          "activated_at": null,
                          "created_at": "{timestamp}",
                          "updated_at": "{timestamp}",
                          "deleted_at": null,
                          "brand": "{brand_name}",
                          "risk_hold": false,
                          "merchant_processor_application": "iso",
                          "reference": null,
                          "branding": null,
                          "allow_ach": true,
                          "allow_paypal": true,
                          "require_address": false,
                          "is_portal": false,
                          "is_flat_rate": false,
                          "allow_credits": true,
                          "allow_terminal": false,
                          "gateways": [
                            {
                              "name": "{gateway_name}",
                              "type": "{gateway_type}",
                              "processor_mid": "{processor_mid}"
                            }
                          ],
                          "is_surcharge_enabled": false,
                          "cnp_credit_surcharge_rate": null,
                          "is_trust": false,
                          "underwriting_status": null,
                          "underwriting_substatuses": null,
                          "allow_cnp_digital_wallet": false
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "parameters": [],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  },
                  "placeholder": {
                    "type": "string"
                  },
                  "required": {
                    "type": "boolean"
                  },
                  "visible": {
                    "type": "boolean"
                  },
                  "type": {
                    "type": "string",
                    "enum": [
                      "select",
                      "text"
                    ]
                  },
                  "option": {
                    "type": "object",
                    "properties": {
                      "name": {
                        "type": "string",
                        "description": "nullable, max 100 characters"
                      },
                      "value": {
                        "type": "string",
                        "description": "max 100 characters"
                      }
                    },
                    "required": [
                      "value"
                    ]
                  }
                },
                "required": [
                  "option",
                  "id",
                  "name",
                  "required",
                  "visible",
                  "type"
                ]
              },
              "examples": {}
            }
          }
        }
      }
    },
    "/transaction/{transactionid}/capture": {
      "post": {
        "summary": "Capture a Pre-Auth Transaction",
        "description": "Captures funds from a pre-authorized transaction. This converts a pre-authorization into a completed charge.",
        "operationId": "capture-a-pre-auth-transaction",
        "parameters": [
          {
            "name": "transactionid",
            "in": "path",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "total": {
                    "type": "string",
                    "description": "Amount that you would like to capture"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"id\": \"d4db6c3b-4a96-48b6-a08b-551326fada40\",\n  \"invoice_id\": \"\",\n  \"reference_id\": \"\",\n  \"recurring_transaction_id\": \"\",\n  \"auth_id\": null,\n  \"type\": \"pre_auth\",\n  \"source\": null,\n  \"is_merchant_present\": true,\n  \"merchant_id\": \"e7bcf7a6-ea72-4981-894d-73b41a690fa8\",\n  \"user_id\": \"2d089742-6aca-462d-8db3-c2966e1f9e68\",\n  \"customer_id\": \"3a50862a-c2d5-47ae-8f49-d42afff8ee77\",\n  \"payment_method_id\": \"f096d9b4-c890-45af-9b47-3de0aa10e5d2\",\n  \"is_manual\": null,\n  \"success\": true,\n  \"message\": null,\n  \"meta\": {\n    \"tax\": 2,\n    \"subtotal\": 10\n  },\n  \"total\": 1,\n  \"method\": \"card\",\n  \"pre_auth\": true,\n  \"is_captured\": 1,\n  \"last_four\": \"1111\",\n  \"interchange_code\": \"\",\n  \"interchange_fee\": null,\n  \"batch_id\": \"\",\n  \"batched_at\": \"2018-03-20 13:27:19\",\n  \"emv_response\": \"\",\n  \"avs_response\": \"\",\n  \"cvv_response\": \"\",\n  \"pos_entry\": \"\",\n  \"pos_salesperson\": \"\",\n  \"receipt_email_at\": null,\n  \"receipt_sms_at\": null,\n  \"created_at\": \"2018-03-05 13:27:05\",\n  \"updated_at\": \"2018-03-05 13:27:19\",\n  \"total_refunded\": 0,\n  \"is_refundable\": false,\n  \"is_voided\": false,\n  \"is_voidable\": false,\n  \"schedule_id\": null,\n  \"child_captures\": [\n    {\n      \"id\": \"936e3b88-6df1-4048-9d39-00469748008f\",\n      \"invoice_id\": \"\",\n      \"reference_id\": \"\",\n      \"recurring_transaction_id\": \"\",\n      \"auth_id\": \"d4db6c3b-4a96-48b6-a08b-551326fada40\",\n      \"type\": \"capture\",\n      \"source\": null,\n      \"is_merchant_present\": true,\n      \"merchant_id\": \"e7bcf7a6-ea72-4981-894d-73b41a690fa8\",\n      \"user_id\": \"2d089742-6aca-462d-8db3-c2966e1f9e68\",\n      \"customer_id\": \"3a50862a-c2d5-47ae-8f49-d42afff8ee77\",\n      \"payment_method_id\": \"f096d9b4-c890-45af-9b47-3de0aa10e5d2\",\n      \"is_manual\": null,\n      \"success\": true,\n      \"message\": null,\n      \"meta\": {\n        \"tax\": 2,\n        \"subtotal\": 10\n      },\n      \"total\": 5,\n      \"method\": \"card\",\n      \"pre_auth\": false,\n      \"is_captured\": 0,\n      \"last_four\": \"1111\",\n      \"interchange_code\": \"\",\n      \"interchange_fee\": null,\n      \"batch_id\": \"\",\n      \"batched_at\": \"2018-03-20 13:27:18\",\n      \"emv_response\": \"\",\n      \"avs_response\": \"\",\n      \"cvv_response\": \"\",\n      \"pos_entry\": \"\",\n      \"pos_salesperson\": \"\",\n      \"receipt_email_at\": null,\n      \"receipt_sms_at\": null,\n      \"created_at\": \"2018-03-05 13:27:18\",\n      \"updated_at\": \"2018-03-05 13:27:18\",\n      \"total_refunded\": 0,\n      \"is_refundable\": false,\n      \"is_voided\": false,\n      \"is_voidable\": true,\n      \"currency\": \"USD\",\n      \"schedule_id\": null,\n      \"child_captures\": [],\n      \"parent_auth\": null,\n      \"customer\": {\n        \"id\": \"3a50862a-c2d5-47ae-8f49-d42afff8ee77\",\n        \"firstname\": \"John\",\n        \"lastname\": \"Smith\",\n        \"company\": \"ABC INC\",\n        \"email\": \"contact@example.com\",\n        \"cc_emails\": [\n          \"demo@abc.com\"\n        ],\n        \"cc_sms\": null,\n        \"phone\": \"1234567898\",\n        \"address_1\": \"123 Rite Way\",\n        \"address_2\": \"Unit 12\",\n        \"address_city\": \"Orlando\",\n        \"address_state\": \"FL\",\n        \"address_zip\": \"32801\",\n        \"address_country\": \"USA\",\n        \"notes\": null,\n        \"reference\": \"BARTLE\",\n        \"options\": \"\",\n        \"created_at\": \"2018-03-02 16:20:06\",\n        \"updated_at\": \"2018-03-02 16:20:06\",\n        \"deleted_at\": null,\n        \"gravatar\": \"//www.gravatar.com/avatar/45357c125af15b6df8864a71a653bea2\"\n      },\n      \"child_transactions\": [],\n      \"files\": [],\n      \"payment_method\": {\n        \"id\": \"f096d9b4-c890-45af-9b47-3de0aa10e5d2\",\n        \"customer_id\": \"3a50862a-c2d5-47ae-8f49-d42afff8ee77\",\n        \"merchant_id\": \"e7bcf7a6-ea72-4981-894d-73b41a690fa8\",\n        \"user_id\": \"2d089742-6aca-462d-8db3-c2966e1f9e68\",\n        \"nickname\": \"VISA: Steven Smith Jr. (ending in: 1111)\",\n        \"has_cvv\": 1,\n        \"is_default\": 1,\n        \"method\": \"card\",\n        \"person_name\": \"Steven Smith Jr.\",\n        \"card_type\": \"visa\",\n        \"card_last_four\": \"1111\",\n        \"card_exp\": \"042019\",\n        \"bank_name\": null,\n        \"bank_type\": null,\n        \"bank_holder_type\": null,\n        \"address_1\": null,\n        \"address_2\": null,\n        \"address_city\": null,\n        \"address_state\": null,\n        \"address_zip\": \"32944\",\n        \"address_country\": \"USA\",\n        \"purged_at\": null,\n        \"deleted_at\": null,\n        \"created_at\": \"2018-03-03 16:21:09\",\n        \"updated_at\": \"2018-03-03 16:21:09\",\n        \"card_exp_datetime\": \"2019-04-30 23:59:59\",\n        \"customer\": {\n          \"id\": \"3a50862a-c2d5-47ae-8f49-d42afff8ee77\",\n          \"firstname\": \"John\",\n          \"lastname\": \"Smith\",\n          \"company\": \"ABC INC\",\n          \"email\": \"contact@example.com\",\n          \"cc_emails\": [\n            \"demo@abc.com\"\n          ],\n          \"cc_sms\": null,\n          \"phone\": \"1234567898\",\n          \"address_1\": \"123 Rite Way\",\n          \"address_2\": \"Unit 12\",\n          \"address_city\": \"Orlando\",\n          \"address_state\": \"FL\",\n          \"address_zip\": \"32801\",\n          \"address_country\": \"USA\",\n          \"notes\": null,\n          \"reference\": \"BARTLE\",\n          \"options\": \"\",\n          \"created_at\": \"2018-03-03 16:20:06\",\n          \"updated_at\": \"2018-03-03 16:20:06\",\n          \"deleted_at\": null,\n          \"gravatar\": \"//www.gravatar.com/avatar/45357c125af15b6df8864a71a653bea2\"\n        }\n      },\n      \"user\": {\n        \"id\": \"2d089742-6aca-462d-8db3-c2966e1f9e68\",\n        \"system_admin\": true,\n        \"name\": \"Morty Junior\",\n        \"email\": \"contact@example.com\",\n        \"email_verification_sent_at\": \"2016-05-11 17:13:33\",\n        \"email_verified_at\": \"2016-05-11 17:13:33\",\n        \"is_api_key\": false,\n        \"acknowledgments\": {\n          \"tutorial\": true,\n          \"signedApplication\": true,\n          \"godviewWelcome\": true\n        },\n        \"created_at\": \"2016-05-18 14:11:46\",\n        \"updated_at\": \"2018-03-05 20:26:20\",\n        \"deleted_at\": null,\n        \"gravatar\": \"//www.gravatar.com/avatar/772cbf95746d7da86789cc3634c46ba8\",\n        \"team_admin\": null,\n        \"team_enabled\": null,\n        \"team_role\": null,\n        \"merchant_options\": [],\n        \"is_portal\": false\n      }\n    }\n  ],\n  \"parent_auth\": null,\n  \"customer\": {\n    \"id\": \"3a50862a-c2d5-47ae-8f49-d42afff8ee77\",\n    \"firstname\": \"John\",\n    \"lastname\": \"Smith\",\n    \"company\": \"ABC INC\",\n    \"email\": \"contact@example.com\",\n    \"cc_emails\": [\n      \"demo@abc.com\"\n    ],\n    \"cc_sms\": null,\n    \"phone\": \"1234567898\",\n    \"address_1\": \"123 Rite Way\",\n    \"address_2\": \"Unit 12\",\n    \"address_city\": \"Orlando\",\n    \"address_state\": \"FL\",\n    \"address_zip\": \"32801\",\n    \"address_country\": \"USA\",\n    \"notes\": null,\n    \"reference\": \"BARTLE\",\n    \"options\": \"\",\n    \"created_at\": \"2018-03-03 16:20:06\",\n    \"updated_at\": \"2018-03-03 16:20:06\",\n    \"deleted_at\": null,\n    \"gravatar\": \"//www.gravatar.com/avatar/45357c125af15b6df8864a71a653bea2\"\n  },\n  \"child_transactions\": [],\n  \"files\": [],\n  \"payment_method\": {\n    \"id\": \"f096d9b4-c890-45af-9b47-3de0aa10e5d2\",\n    \"customer_id\": \"3a50862a-c2d5-47ae-8f49-d42afff8ee77\",\n    \"merchant_id\": \"e7bcf7a6-ea72-4981-894d-73b41a690fa8\",\n    \"user_id\": \"2d089742-6aca-462d-8db3-c2966e1f9e68\",\n    \"nickname\": \"VISA: Steven Smith Jr. (ending in: 1111)\",\n    \"has_cvv\": 1,\n    \"is_default\": 1,\n    \"method\": \"card\",\n    \"person_name\": \"Steven Smith Jr.\",\n    \"card_type\": \"visa\",\n    \"card_last_four\": \"1111\",\n    \"card_exp\": \"042019\",\n    \"bank_name\": null,\n    \"bank_type\": null,\n    \"bank_holder_type\": null,\n    \"address_1\": null,\n    \"address_2\": null,\n    \"address_city\": null,\n    \"address_state\": null,\n    \"address_zip\": \"32944\",\n    \"address_country\": \"USA\",\n    \"purged_at\": null,\n    \"deleted_at\": null,\n    \"created_at\": \"2018-03-03 16:21:09\",\n    \"updated_at\": \"2018-03-03 16:21:09\",\n    \"card_exp_datetime\": \"2019-04-30 23:59:59\",\n    \"customer\": {\n      \"id\": \"3a50862a-c2d5-47ae-8f49-d42afff8ee77\",\n      \"firstname\": \"John\",\n      \"lastname\": \"Smith\",\n      \"company\": \"ABC INC\",\n      \"email\": \"contact@example.com\",\n      \"cc_emails\": [\n        \"demo@abc.com\"\n      ],\n      \"cc_sms\": null,\n      \"phone\": \"1234567898\",\n      \"address_1\": \"123 Rite Way\",\n      \"address_2\": \"Unit 12\",\n      \"address_city\": \"Orlando\",\n      \"address_state\": \"FL\",\n      \"address_zip\": \"32801\",\n      \"address_country\": \"USA\",\n      \"notes\": null,\n      \"reference\": \"BARTLE\",\n      \"options\": \"\",\n      \"created_at\": \"2018-03-03 16:20:06\",\n      \"updated_at\": \"2018-03-03 16:20:06\",\n      \"deleted_at\": null,\n      \"gravatar\": \"//www.gravatar.com/avatar/45357c125af15b6df8864a71a653bea2\"\n    }\n  },\n  \"user\": {\n    \"id\": \"2d089742-6aca-462d-8db3-c2966e1f9e68\",\n    \"system_admin\": true,\n    \"name\": \"Morty Junior\",\n    \"email\": \"contact@example.com\",\n    \"email_verification_sent_at\": \"2016-05-11 17:13:33\",\n    \"email_verified_at\": \"2016-05-11 17:13:33\",\n    \"is_api_key\": false,\n    \"acknowledgments\": {\n      \"tutorial\": true,\n      \"signedApplication\": true,\n      \"godviewWelcome\": true\n    },\n    \"created_at\": \"2016-05-18 14:11:46\",\n    \"updated_at\": \"2018-03-05 20:26:20\",\n    \"deleted_at\": null,\n    \"gravatar\": \"//www.gravatar.com/avatar/772cbf95746d7da86789cc3634c46ba8\",\n    \"team_admin\": null,\n    \"team_enabled\": null,\n    \"team_role\": null,\n    \"merchant_options\": [],\n    \"is_portal\": false\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "d4db6c3b-4a96-48b6-a08b-551326fada40"
                    },
                    "invoice_id": {
                      "type": "string",
                      "example": ""
                    },
                    "reference_id": {
                      "type": "string",
                      "example": ""
                    },
                    "recurring_transaction_id": {
                      "type": "string",
                      "example": ""
                    },
                    "auth_id": {},
                    "type": {
                      "type": "string",
                      "example": "pre_auth"
                    },
                    "source": {},
                    "is_merchant_present": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "merchant_id": {
                      "type": "string",
                      "example": "e7bcf7a6-ea72-4981-894d-73b41a690fa8"
                    },
                    "user_id": {
                      "type": "string",
                      "example": "2d089742-6aca-462d-8db3-c2966e1f9e68"
                    },
                    "customer_id": {
                      "type": "string",
                      "example": "3a50862a-c2d5-47ae-8f49-d42afff8ee77"
                    },
                    "payment_method_id": {
                      "type": "string",
                      "example": "f096d9b4-c890-45af-9b47-3de0aa10e5d2"
                    },
                    "is_manual": {},
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "message": {},
                    "meta": {
                      "type": "object",
                      "properties": {
                        "tax": {
                          "type": "integer",
                          "example": 2,
                          "default": 0
                        },
                        "subtotal": {
                          "type": "integer",
                          "example": 10,
                          "default": 0
                        }
                      }
                    },
                    "total": {
                      "type": "integer",
                      "example": 1,
                      "default": 0
                    },
                    "method": {
                      "type": "string",
                      "example": "card"
                    },
                    "pre_auth": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "is_captured": {
                      "type": "integer",
                      "example": 1,
                      "default": 0
                    },
                    "last_four": {
                      "type": "string",
                      "example": "1111"
                    },
                    "interchange_code": {
                      "type": "string",
                      "example": ""
                    },
                    "interchange_fee": {},
                    "batch_id": {
                      "type": "string",
                      "example": ""
                    },
                    "batched_at": {
                      "type": "string",
                      "example": "2018-03-20 13:27:19"
                    },
                    "emv_response": {
                      "type": "string",
                      "example": ""
                    },
                    "avs_response": {
                      "type": "string",
                      "example": ""
                    },
                    "cvv_response": {
                      "type": "string",
                      "example": ""
                    },
                    "pos_entry": {
                      "type": "string",
                      "example": ""
                    },
                    "pos_salesperson": {
                      "type": "string",
                      "example": ""
                    },
                    "receipt_email_at": {},
                    "receipt_sms_at": {},
                    "created_at": {
                      "type": "string",
                      "example": "2018-03-05 13:27:05"
                    },
                    "updated_at": {
                      "type": "string",
                      "example": "2018-03-05 13:27:19"
                    },
                    "total_refunded": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "is_refundable": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "is_voided": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "is_voidable": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "schedule_id": {},
                    "child_captures": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "example": "936e3b88-6df1-4048-9d39-00469748008f"
                          },
                          "invoice_id": {
                            "type": "string",
                            "example": ""
                          },
                          "reference_id": {
                            "type": "string",
                            "example": ""
                          },
                          "recurring_transaction_id": {
                            "type": "string",
                            "example": ""
                          },
                          "auth_id": {
                            "type": "string",
                            "example": "d4db6c3b-4a96-48b6-a08b-551326fada40"
                          },
                          "type": {
                            "type": "string",
                            "example": "capture"
                          },
                          "source": {},
                          "is_merchant_present": {
                            "type": "boolean",
                            "example": true,
                            "default": true
                          },
                          "merchant_id": {
                            "type": "string",
                            "example": "e7bcf7a6-ea72-4981-894d-73b41a690fa8"
                          },
                          "user_id": {
                            "type": "string",
                            "example": "2d089742-6aca-462d-8db3-c2966e1f9e68"
                          },
                          "customer_id": {
                            "type": "string",
                            "example": "3a50862a-c2d5-47ae-8f49-d42afff8ee77"
                          },
                          "payment_method_id": {
                            "type": "string",
                            "example": "f096d9b4-c890-45af-9b47-3de0aa10e5d2"
                          },
                          "is_manual": {},
                          "success": {
                            "type": "boolean",
                            "example": true,
                            "default": true
                          },
                          "message": {},
                          "meta": {
                            "type": "object",
                            "properties": {
                              "tax": {
                                "type": "integer",
                                "example": 2,
                                "default": 0
                              },
                              "subtotal": {
                                "type": "integer",
                                "example": 10,
                                "default": 0
                              }
                            }
                          },
                          "total": {
                            "type": "integer",
                            "example": 5,
                            "default": 0
                          },
                          "method": {
                            "type": "string",
                            "example": "card"
                          },
                          "pre_auth": {
                            "type": "boolean",
                            "example": false,
                            "default": true
                          },
                          "is_captured": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "last_four": {
                            "type": "string",
                            "example": "1111"
                          },
                          "interchange_code": {
                            "type": "string",
                            "example": ""
                          },
                          "interchange_fee": {},
                          "batch_id": {
                            "type": "string",
                            "example": ""
                          },
                          "batched_at": {
                            "type": "string",
                            "example": "2018-03-20 13:27:18"
                          },
                          "emv_response": {
                            "type": "string",
                            "example": ""
                          },
                          "avs_response": {
                            "type": "string",
                            "example": ""
                          },
                          "cvv_response": {
                            "type": "string",
                            "example": ""
                          },
                          "pos_entry": {
                            "type": "string",
                            "example": ""
                          },
                          "pos_salesperson": {
                            "type": "string",
                            "example": ""
                          },
                          "receipt_email_at": {},
                          "receipt_sms_at": {},
                          "created_at": {
                            "type": "string",
                            "example": "2018-03-05 13:27:18"
                          },
                          "updated_at": {
                            "type": "string",
                            "example": "2018-03-05 13:27:18"
                          },
                          "total_refunded": {
                            "type": "integer",
                            "example": 0,
                            "default": 0
                          },
                          "is_refundable": {
                            "type": "boolean",
                            "example": false,
                            "default": true
                          },
                          "is_voided": {
                            "type": "boolean",
                            "example": false,
                            "default": true
                          },
                          "is_voidable": {
                            "type": "boolean",
                            "example": true,
                            "default": true
                          },
                          "currency": {
                            "type": "string",
                            "example": "USD"
                          },
                          "schedule_id": {},
                          "child_captures": {
                            "type": "array"
                          },
                          "parent_auth": {},
                          "customer": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "string",
                                "example": "3a50862a-c2d5-47ae-8f49-d42afff8ee77"
                              },
                              "firstname": {
                                "type": "string",
                                "example": "John"
                              },
                              "lastname": {
                                "type": "string",
                                "example": "Smith"
                              },
                              "company": {
                                "type": "string",
                                "example": "ABC INC"
                              },
                              "email": {
                                "type": "string",
                                "example": "contact@example.com"
                              },
                              "cc_emails": {
                                "type": "array",
                                "items": {
                                  "type": "string",
                                  "example": "demo@abc.com"
                                }
                              },
                              "cc_sms": {},
                              "phone": {
                                "type": "string",
                                "example": "1234567898"
                              },
                              "address_1": {
                                "type": "string",
                                "example": "123 Rite Way"
                              },
                              "address_2": {
                                "type": "string",
                                "example": "Unit 12"
                              },
                              "address_city": {
                                "type": "string",
                                "example": "Orlando"
                              },
                              "address_state": {
                                "type": "string",
                                "example": "FL"
                              },
                              "address_zip": {
                                "type": "string",
                                "example": "32801"
                              },
                              "address_country": {
                                "type": "string",
                                "example": "USA"
[...]
